Go Down

Topic: [MOD] Arduino Enhanced Release 1.0.5 for Windows (installer, drivers, etc) +SRC (Read 257 times) previous topic - next topic

eried

In this package the GUID I used is:
Code: [Select]
8220E838-DFF3-45AA-B338-EC34684489EA

And I will use that one forever. :)
My website: http://ried.cl

michaelcollier

Thanks for the info, I'm on my laptop so can't check the key I was writing to exactly, but basically I was storing the arduino IDE version as the key and the exectable path for arduino.exe for that version

"Registry Key"/Arduino/Version/1.0.1.0    ExePath     "C:\ProgramFiles\Arduino1.0.1

My applications need to be able to scroll through all versions of installed arduino so a key is created for each install as above.

eried


Thanks for the info, I'm on my laptop so can't check the key I was writing to exactly, but basically I was storing the arduino IDE version as the key and the exectable path for arduino.exe for that version

"Registry Key"/Arduino/Version/1.0.1.0    ExePath     "C:\ProgramFiles\Arduino1.0.1

My applications need to be able to scroll through all versions of installed arduino so a key is created for each install as above.



Well, I am not particulary fan of adding things to registry. In fact I haven't added anything in the setup extra to any directory or registry rater than the ultra-required one, like unninstaller.

I am sure that you have more than enough info in the registry to autodetect last version  XD
My website: http://ried.cl

michaelcollier

Thanks for the screenshot, I need all installed versions not just the latest, when you run your setup for the next version of Arduino (maybe 1.0.1.a or something) will it produce a second set of data as per the first screenshot, or will it overwrite that information? If it produces a second set of data for 1.0.1.a then that should be ok for me. I can see why you would want to avoid writing to the registry, it is not something I do often myself.

michaelcollier

Sorry, you are already on 1.0.1.a so please apply the previous question to 1.0.1.b (I am 1 version behind you)

Go Up